Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.value.svg12
Class MarginShorthandManager

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValueFactory
          org.apache.batik.css.engine.value.svg12.MarginShorthandManager

All Implemented Interfaces:
  ShorthandManager

    public class MarginShorthandManager

extends AbstractValueFactory
implements ShorthandManager

This class represents an object which provide support for the 'margin' shorthand property.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.batik.css.engine.value.ShorthandManager
`ShorthandManager.PropertyHandler`

Constructor Summary
`MarginShorthandManager()`

Method Summary
`String` | `getPropertyName()` Implements `ValueManager.getPropertyName()`.
`boolean` | `isAdditiveProperty()` Implements `ShorthandManager.isAdditiveProperty()`.
`boolean` | `isAnimatableProperty()` Implements `ShorthandManager.isAnimatableProperty()`.
`void` | `setValues(CSSEngine eng, ShorthandManager.PropertyHandler ph, org.w3c.css.sac.LexicalUnit lu, boolean imp)` Implements `ShorthandManager.setValues(CSSEngine,ShorthandManager.PropertyHandler,LexicalUnit,boolean)`.

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueFactory
`createDOMException, createInvalidFloatTypeDOMException, createInvalidFloatValueDOMException, createInvalidIdentifierDOMException, createInvalidLexicalUnitDOMException, createInvalidStringTypeDOMException, createMalformedLexicalUnitDOMException, resolveURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MarginShorthandManager

    public MarginShorthandManager()

Method Detail

### getPropertyName

    public String getPropertyName()

  Implements `ValueManager.getPropertyName()`.

  Specified by:
    `getPropertyName` in interface `ShorthandManager`
  Specified by:
    `getPropertyName` in class `AbstractValueFactory`

### isAnimatableProperty

    public boolean isAnimatableProperty()

  Implements `ShorthandManager.isAnimatableProperty()`.

  Specified by:
    `isAnimatableProperty` in interface `ShorthandManager`

### isAdditiveProperty

    public boolean isAdditiveProperty()

  Implements `ShorthandManager.isAdditiveProperty()`.

  Specified by:
    `isAdditiveProperty` in interface `ShorthandManager`

### setValues

    public void setValues(CSSEngine eng,
                          ShorthandManager.PropertyHandler ph,
                          org.w3c.css.sac.LexicalUnit lu,
                          boolean imp)
                   throws DOMException

  Implements `ShorthandManager.setValues(CSSEngine,ShorthandManager.PropertyHandler,LexicalUnit,boolean)`.

  Specified by:
    `setValues` in interface `ShorthandManager`
  Parameters:
    `eng` - The current CSSEngine.
    `ph` - The property handler to use.
    `lu` - The SAC lexical unit used to create the value.
    `imp` - The property priority.
  Throws:
    `DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.